Ticket #402 (closed defect: fixed)

Opened 12 years ago

Last modified 12 years ago

evolution-wrapper should support krb5 auth

Reported by: broder Owned by:
Priority: normal Milestone: Karmic Deploy (Canceled)
Component: mail Keywords:
Cc: Fixed in version:
Upstream bug:

Description

The evolution wrapper currently uses krb4 authentication and Hesiod. Instead, it should use GSSAPI and username.mail.mit.edu.

We should be sure that Evolution does, in fact, canonicalize username.mail.mit.edu to poNN.mail.mit.edu before attempting to acquire a service ticket.

Attachments

evolution-wrapper-gssapi.diff Download (2.5 KB) - added by broder 12 years ago.

Change History

comment:1 Changed 12 years ago by broder

  • Component changed from -- to mail

Changed 12 years ago by broder

comment:2 Changed 12 years ago by broder

I think the attached patch should fix evolution for GSSAPI (modulo the Exchange certificate issues), but it'd be nice if somebody else could look over it.

comment:3 Changed 12 years ago by broder

  • Status changed from new to proposed

r24087 -> proposed

comment:4 Changed 12 years ago by broder

  • Status changed from proposed to closed
  • Resolution set to fixed
Note: See TracTickets for help on using tickets.